$( function() {
	
	
	$('#drag1,#drag2').draggable({
		cursor:'move',
		//revert: "invalid",///valid
	});
	
	$( "#parent,.box-inner" ).droppable({
		accept:'#drag1',
		activeClass: "ui-state-highlight",
		greedy: true,

		
		classes: {
	        "ui-droppable-active": "ui-state-active",
	        "ui-droppable-hover": "ui-state-hover",
	        "ui-droppable": "highlight"
	    },
		addClasses: false,
		hoverClass: "drop-hover",
		//scope: "tasks",
		tolerance: "touch",
		activate: function(event, ui) {
			console.log(ui);
			$( "#parent" ).animate({'width':'250px','height':'250px'},500);
		},
		deactivate: function(event, ui) {
			console.log(ui);
			$( "#parent" ).animate({'width':'200px','height':'200px'},500);
		},
	    drop: function( event, ui ) {
		      $( this )
	          .addClass( "ui-state-highlight" )
	          .find( "> span" )
	            .html( "Dropped!" );
	            $('#drag1,#drag2').draggable('disable');
	            
	            ui.draggable.fadeOut(500,function() {
	            	var trash = $( "#parent" );
	            	var list = $( "ul", trash ).length ?
				          $( "ul", trash ) :
				          $( "<ul class='list-box'/>" ).appendTo( trash );
				          
				          ui.draggable.find('h3').remove();
				          ui.draggable.fadeIn(500,function() {
				          	ui.draggable.animate({ width: "50px", height:"50px",padding:"20px" });
				          });
	            	});
	            	
	      }
    });
});


